dots.v2.apps.byApp_Id().components.byComponent_name().exec.get()
Generated on 13 Nov 2026
from DoTs version
v1.24.0
Usage
client.v2.apps.byApp_Id(app_Id).components.byComponent_name(component_name).exec.get(requestConfiguration?: RequestConfiguration<ExecRequestBuilderGetQueryParameters>): Promise<undefined | Apps_get_exec_response>Description
Returns a websocket URL that allows sending/receiving console input and output to a component of the active deployment if one exists.
Parameters
Path Parameters
app_Idstring requiredExample:
4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cfThe app ID
component_namestring requiredExample:
componentAn optional component name. If set, logs will be limited to this component only.
Query Parameters
instanceNamestring optionalExample:
go-app-d768568df-zz77dThe name of the actively running ephemeral compute instance
Request Sample
Response Example
More Information
See /v2/apps/{app_id}/components/{component_name}/exec in the API reference for additional detail on responses, headers, parameters, and more.